---
apiVersion: "v1"
kind: "Template"
metadata:
  annotations:
    fabric8.war-cxf-cdi-servlet/summary: "CXF REST using CDI deployed as WAR"
    description: "CXF REST using CDI deployed as WAR"
    fabric8.war-cxf-cdi-servlet/iconUrl: "img/icons/tomcat.svg"
  labels: {}
  name: "war-cxf-cdi-servlet"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/tomcat.svg"
    labels:
      provider: "fabric8"
      project: "war-cxf-cdi-servlet"
      version: "2.2.135"
      group: "quickstarts"
    name: "war-cxf-cdi-servlet"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "war-cxf-cdi-servlet"
      provider: "fabric8"
      group: "quickstarts"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/tomcat.svg"
      fabric8.io/git-branch: "release-v2.2.135"
      fabric8.io/git-commit: "6f1362207a35f3a310a9cdfedddd29231ef23075"
      fabric8.io/build-url: "http://null:80/job/oss-parent/4"
      fabric8.io/build-id: "4"
    labels:
      provider: "fabric8"
      project: "war-cxf-cdi-servlet"
      version: "2.2.135"
      group: "quickstarts"
    name: "war-cxf-cdi-servlet"
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "war-cxf-cdi-servlet"
      version: "2.2.135"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          provider: "fabric8"
          project: "war-cxf-cdi-servlet"
          version: "2.2.135"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/war-cxf-cdi-servlet:2.2.135"
          name: "war-cxf-cdi-servlet"
          ports:
          - containerPort: 8080
            name: "http"
          - containerPort: 8778
            name: "jolokia"
          readinessProbe:
            httpGet:
              httpHeaders: []
              path: "/"
              port: 8080
            initialDelaySeconds: 5
            timeoutSeconds: 30
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
